package cloud.proxi.proxicloud_example

import cloud.proxi.ProxiCloudSdk
import cloud.proxi.sdk.internal.transport.RetrofitApiTransport
import io.flutter.app.FlutterApplication

class MainApplication : FlutterApplication() {

    companion object {
        const val API_KEY = "5f50e62076e1ed3b45282848d15c1d5a8a03400846802e461bbc9a88769d560e"

        init {
            RetrofitApiTransport.RESOLVER_BASE_URL = "https://staging.proxicloud.com"
        }
    }

    override fun onCreate() {
        super.onCreate()
        ProxiCloudSdk.create(this, API_KEY).apply {
            setGdprConsent(true)
            enableCloudMessaging();
        }
    }
}